Jump to content

The Comprehensive Kerbal Archive Network (CKAN) Package Manager; v1.18.0 [19 June 2016]


pjf
 Share

Recommended Posts

Is anyone else having trouble using CKAN to install Astronomer's Visual Pack? I can't get past the startup loading screen.

Are you by any chance getting CTD (Crash To Desktop) without any warning? If so you're probably running out of RAM.

Link to comment
Share on other sites

Is it possible to export a CKAN file that would be able to still function after a mod updates?

I saw this a few pages back:

If you want all the mods you've installed, but don't want to care about them being the exact same version, you can modify the exported .ckan file to remove the version requirements, although the CKAN can be finnicky with the file format so you'll need to be careful with trailing commas.

It sounds like I could strip out the version line for each mod in my file (and also cutout the comma on the preceding line)? I'm not sure if that would hurt or help me more :wink:

I setup a file last night and in less than 12 hours it was broken because Module Manager did an update that caused a difference between what was available and what was stored in my file. The early comment is about keeping the version for mods already installed, but I'm interested in the file being able to work when mods are being downloaded for a fresh KSP install.

Link to comment
Share on other sites

Was just thinking it would be really cool if CKAN could copy a list of installed mods to the Clipboard. Even better if it was formatted with hyperlinks to the mods forum threads. This would be a great way to share what mods you use with other players.

Edited by JedTech
Link to comment
Share on other sites

I`m getting a crash if I try to install mods alongside updating mods. Is anyone else suffering this?

EDIT :

This is an awesome tool.

I am currently having one issue. I have installed Planetshine, but even though it says 1.0.4 is the latest version supported, when I start KSP there is a message saying that Planetshine is only compatible up to 1.0.2.

If you look in your gamedata folder then into the planetshine folder and find either a .version file or a version.txt file you can load it into notebook and change the 1.0.2 into 1.0.4, save that again and you should not be bothered with the notification again.

Edited by John FX
Link to comment
Share on other sites

Are you by any chance getting CTD (Crash To Desktop) without any warning? If so you're probably running out of RAM.

No, I don't. I also don't have this problem if I manually install the Astronomer's Pack. If I install it with CKAN, though, I can't load into the Main Menu.

To clarify, I will load the entire game, all the mods, etc, and when the game actually needs to display anything, it will crash.

Link to comment
Share on other sites

No, I don't. I also don't have this problem if I manually install the Astronomer's Pack. If I install it with CKAN, though, I can't load into the Main Menu.

To clarify, I will load the entire game, all the mods, etc, and when the game actually needs to display anything, it will crash.

I would check the cloud config files that are installed when you use CKAN and see if there are textures being used for Kerbin that are not installed. When the Main Menu loads it has Kerbin in the background and will use clouds in this scene. I have had crashes at this point or no clouds rendered when there is a mismatch between what textures there are and what the config files are attempting to load.

Link to comment
Share on other sites

First time I used CKAN, I had an issue where clicking on mods stopped highlighting them in blue, so I just clicked Apply changes. Everything seemed to be working, but after 30 or so minutes it's still installing. I have very fast internet, 50 mbps down.

Here's a screenshot:

1Bhe4.jpg

Running on Ubuntu 14.04 LTS with Mono

Link to comment
Share on other sites

First time I used CKAN, I had an issue where clicking on mods stopped highlighting them in blue, so I just clicked Apply changes. Everything seemed to be working, but after 30 or so minutes it's still installing. I have very fast internet, 50 mbps down.

Here's a screenshot:

http://i.snag.gy/1Bhe4.jpg

Running on Ubuntu 14.04 LTS with Mono

I'm getting the same issue. Same Ubuntu and all.

Link to comment
Share on other sites

First time I used CKAN, I had an issue where clicking on mods stopped highlighting them in blue, so I just clicked Apply changes. Everything seemed to be working, but after 30 or so minutes it's still installing. I have very fast internet, 50 mbps down.

Here's a screenshot:

http://i.snag.gy/1Bhe4.jpg

Running on Ubuntu 14.04 LTS with Mono

Ok, I managed to fix mine. Did you make sure to install libcurl4-openssl-dev???

open the terminal, then type sudo apt-get install libcurl4-openssl-dev let it instlal, then run the ckan again. Mine worked fine.

Link to comment
Share on other sites

I have a suggestion for the future. For installed mods, if we list the date installed and the date of the latest version available on CKAN, that would allow users to see if the mod being downloaded is the latest version.

I too would also request this. It would be great for people who install a lot of mods (like myself) and when game starts to crash, remove the last few installed mods to troubleshoot. I'm currently trying to track a recently installed mod that started causing my CTD.

Link to comment
Share on other sites

I would check the cloud config files that are installed when you use CKAN and see if there are textures being used for Kerbin that are not installed. When the Main Menu loads it has Kerbin in the background and will use clouds in this scene. I have had crashes at this point or no clouds rendered when there is a mismatch between what textures there are and what the config files are attempting to load.

Where should I look for that?

Link to comment
Share on other sites

Where should I look for that?

You can open the CFG files in GameData\BoulderCo\Clouds\ with something like Notepad or another program (I'm using Notepad++) and quickly search for "body = Kerbin". You can then see what files are being used for the main_texture or detail and just see if those textures are also in the GameData\BoulderCo\Clouds\Textures\ location. You should be able to cycle through and check all the textures in your config files in just 1-2 minutes to see if something is actually missing. There are so many piecemeal options to opt into with Astronomer's and Environmental Visual Enhancements that I think it is possible your selections may end up with something missing (especially if doing it manually works fine), but this may not be the case.

SCHyPXD.jpg
Link to comment
Share on other sites

Ok, I managed to fix mine. Did you make sure to install libcurl4-openssl-dev???

open the terminal, then type sudo apt-get install libcurl4-openssl-dev let it instlal, then run the ckan again. Mine worked fine.

Oh, I didn't even know that I had to install that. I did know how, though.

Link to comment
Share on other sites

I'm getting "Failed to download "https://kerbalstuff.com/mod/101/Bahamuto Dynamics (Parts pack)/download/v1.2.0" - error: The underlying connection was closed: Could not establish trust relationship for the SSL/TLS secure channel." for absolutely everything I try to install

Windows 7, latest version of CKAN (mimas)

Link to comment
Share on other sites

Trying to get this to start, fresh ksp install, getting this error when I select any mod for install:

Could not load type 'System.Runtime.CompilerServices.|AsyncStateMachine' from assembly 'Mscorlib'. Version=4.0.0.0, Culture=neutal. PublicKeyToken=b77a5c61934e089'.

See the end of this message for details on invoking

just-in-time (JIT) debugging instead of this dialog box.

************** Exception Text **************

System.TypeLoadException: Could not load type 'System.Runtime.CompilerServices.IAsyncStateMachine' from assembly 'mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089'.

at CKAN.Main.ModList_CellValueChanged(Object sender, DataGridViewCellEventArgs e)

at System.Windows.Forms.DataGridViewCell.SetValue(Int32 rowIndex, Object value)

at System.Windows.Forms.DataGridView.PushFormattedValue(DataGridViewCell& dataGridViewCurrentCell, Object formattedValue, Exception& exception)

at System.Windows.Forms.DataGridView.CommitEdit(DataGridViewCell& dataGridViewCurrentCell, DataGridViewDataErrorContexts context, DataGridViewValidateCellInternal validateCell, Boolean fireCellLeave, Boolean fireCellEnter, Boolean fireRowLeave, Boolean fireRowEnter, Boolean fireLeave)

at System.Windows.Forms.DataGridView.CommitEdit(DataGridViewDataErrorContexts context)

at System.Windows.Forms.DataGridView.NotifyCurrentCellDirty(Boolean dirty)

at System.Windows.Forms.DataGridViewCheckBoxCell.OnCommonContentClick(DataGridViewCellEventArgs e)

at System.Windows.Forms.DataGridView.OnCellContentClick(DataGridViewCellEventArgs e)

at System.Windows.Forms.DataGridViewCell.OnMouseUpInternal(DataGridViewCellMouseEventArgs e)

at System.Windows.Forms.DataGridView.OnCellMouseUp(DataGridViewCellMouseEventArgs e)

at System.Windows.Forms.DataGridView.OnMouseUp(MouseEventArgs e)

at System.Windows.Forms.Control.WmMouseUp(Message& m, MouseButtons button, Int32 clicks)

at System.Windows.Forms.Control.WndProc(Message& m)

at System.Windows.Forms.DataGridView.WndProc(Message& m)

at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)

************** Loaded Assemblies **************

mscorlib

Assembly Version: 4.0.0.0

Win32 Version: 4.0.30319.1026 (RTMGDR.030319-1000)

CodeBase: file:///C:/Windows/Microsoft.NET/Framework64/v4.0.30319/mscorlib.dll

----------------------------------------

ckan

Assembly Version: 0.0.0.0

Win32 Version: 0.0.0.0

CodeBase: file:///C:/Users/Ryland/Desktop/KSP%20realism%20mod/ckan%20(1).exe

----------------------------------------

System.Core

Assembly Version: 4.0.0.0

Win32 Version: 4.0.30319.1 built by: RTMRel

CodeBase: file:///C:/Windows/Microsoft.Net/assembly/GAC_MSIL/System.Core/v4.0_4.0.0.0__b77a5c561934e089/System.Core.dll

----------------------------------------

System

Assembly Version: 4.0.0.0

Win32 Version: 4.0.30319.1026 built by: RTMGDR

CodeBase: file:///C:/Windows/Microsoft.Net/assembly/GAC_MSIL/System/v4.0_4.0.0.0__b77a5c561934e089/System.dll

----------------------------------------

System.Windows.Forms

Assembly Version: 4.0.0.0

Win32 Version: 4.0.30319.1032 built by: RTMGDR

CodeBase: file:///C:/Windows/Microsoft.Net/assembly/GAC_MSIL/System.Windows.Forms/v4.0_4.0.0.0__b77a5c561934e089/System.Windows.Forms.dll

----------------------------------------

System.Drawing

Assembly Version: 4.0.0.0

Win32 Version: 4.0.30319.1001 built by: RTMGDR

CodeBase: file:///C:/Windows/Microsoft.Net/assembly/GAC_MSIL/System.Drawing/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Drawing.dll

----------------------------------------

System.Configuration

Assembly Version: 4.0.0.0

Win32 Version: 4.0.30319.1015 (RTMGDR.030319-1000)

CodeBase: file:///C:/Windows/Microsoft.Net/assembly/GAC_MSIL/System.Configuration/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Configuration.dll

----------------------------------------

System.Xml

Assembly Version: 4.0.0.0

Win32 Version: 4.0.30319.1026 built by: RTMGDR

CodeBase: file:///C:/Windows/Microsoft.Net/assembly/GAC_MSIL/System.Xml/v4.0_4.0.0.0__b77a5c561934e089/System.Xml.dll

----------------------------------------

hjrjvty3

Assembly Version: 0.0.0.0

Win32 Version: 4.0.30319.1026 built by: RTMGDR

CodeBase: file:///C:/Windows/Microsoft.Net/assembly/GAC_MSIL/System/v4.0_4.0.0.0__b77a5c561934e089/System.dll

----------------------------------------

Microsoft.CSharp

Assembly Version: 4.0.0.0

Win32 Version: 4.0.30319.1

CodeBase: file:///C:/Windows/Microsoft.Net/assembly/GAC_MSIL/Microsoft.CSharp/v4.0_4.0.0.0__b03f5f7f11d50a3a/Microsoft.CSharp.dll

----------------------------------------

System.Numerics

Assembly Version: 4.0.0.0

Win32 Version: 4.0.30319.1 built by: RTMRel

CodeBase: file:///C:/Windows/Microsoft.Net/assembly/GAC_MSIL/System.Numerics/v4.0_4.0.0.0__b77a5c561934e089/System.Numerics.dll

----------------------------------------

System.Dynamic

Assembly Version: 4.0.0.0

Win32 Version: 4.0.30319.1

CodeBase: file:///C:/Windows/Microsoft.Net/assembly/GAC_MSIL/System.Dynamic/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Dynamic.dll

----------------------------------------

Anonymously Hosted DynamicMethods Assembly

Assembly Version: 0.0.0.0

Win32 Version: 4.0.30319.1026 (RTMGDR.030319-1000)

CodeBase: file:///C:/Windows/Microsoft.Net/assembly/GAC_64/mscorlib/v4.0_4.0.0.0__b77a5c561934e089/mscorlib.dll

----------------------------------------

System.Transactions

Assembly Version: 4.0.0.0

Win32 Version: 4.0.30319.1 (RTMRel.030319-0100)

CodeBase: file:///C:/Windows/Microsoft.Net/assembly/GAC_64/System.Transactions/v4.0_4.0.0.0__b77a5c561934e089/System.Transactions.dll

----------------------------------------

System.Runtime.Serialization

Assembly Version: 4.0.0.0

Win32 Version: 4.0.30319.1026 (RTMGDR.030319-1000)

CodeBase: file:///C:/Windows/Microsoft.Net/assembly/GAC_MSIL/System.Runtime.Serialization/v4.0_4.0.0.0__b77a5c561934e089/System.Runtime.Serialization.dll

----------------------------------------

System.Xml.Linq

Assembly Version: 4.0.0.0

Win32 Version: 4.0.30319.1 built by: RTMRel

CodeBase: file:///C:/Windows/Microsoft.Net/assembly/GAC_MSIL/System.Xml.Linq/v4.0_4.0.0.0__b77a5c561934e089/System.Xml.Linq.dll

----------------------------------------

System.Data

Assembly Version: 4.0.0.0

Win32 Version: 4.0.30319.1 (RTMRel.030319-0100)

CodeBase: file:///C:/Windows/Microsoft.Net/assembly/GAC_64/System.Data/v4.0_4.0.0.0__b77a5c561934e089/System.Data.dll

----------------------------------------

System.EnterpriseServices

Assembly Version: 4.0.0.0

Win32 Version: 4.0.30319.1 (RTMRel.030319-0100)

CodeBase: file:///C:/Windows/Microsoft.Net/assembly/GAC_64/System.EnterpriseServices/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.EnterpriseServices.dll

----------------------------------------

************** JIT Debugging **************

To enable just-in-time (JIT) debugging, the .config file for this

application or computer (machine.config) must have the

jitDebugging value set in the system.windows.forms section.

The application must also be compiled with debugging

enabled.

For example:

<configuration>

<system.windows.forms jitDebugging="true" />

</configuration>

When JIT debugging is enabled, any unhandled exception

will be sent to the JIT debugger registered on the computer

rather than be handled by this dialog box.

Link to comment
Share on other sites

open the terminal, then type sudo apt-get install libcurl4-openssl-dev let it instlal, then run the ckan again. Mine worked fine.

I am running Manjaro Linux, which doesn't know apt-get (it uses pacman instead). None of the bot libs mentioned in the OP are known to Manjaro. Does this mean that I do not need them or is there a third alternativ?

(CKAN runs fine, except that the check for updates fails with a "can't write header" or so error)

Link to comment
Share on other sites

CKAN v1.14.1 aka Eris released!

[h=3]Bugfixes[/h]

  • [GUI] Re-ordering repositories in the settings panel is more stable. (Postremus, #1431)
  • [GUI] Fixed an unhandled exception that could occur when installing metapages via Install -> From .ckan. (Postremus, #1436)
  • [Core] Less likely to remove essential directories (such as Ships/*) if empty. (Postremus, #1405)

[h=3]Features[/h]

  • [All] When installing and uninstalling mods, the mod name and version will be used rather than the internal identifier. (Postremus, #1401)
  • [GUI] The GUI changeset screen now provides explanations as to why changes are being made. (Postremus, #1412)

[h=3]Internal[/h]

  • [NetKAN] netkan.exe will now report its version and exit if run with the --version switch. (pjf, #1415)

Many, many thanks again to Postremus for some amazing work! (And a lot more that still needs reviewing, so you can expect v1.14.2 at the end of the week!)

Link to comment
Share on other sites

Any plans to make a native Mac app for CKAN, I am very against using 3rd party stuff (Mono) to get other stuff (CKAN, Etc) to run. And since I mainly use macs where I'm just a user, not an admin as I'm used to (public library) I cannot really get poeple to get me admin passwords.

Link to comment
Share on other sites

Tip for anyone on OSX just getting started installing CKAN, here are the issues that I ran into that you may be able to avoid:

OSX Version: 10.10.5

Hardware: Mid 2014 15" Retina w/ 2.5GHz i7 and 16 GB RAM and NVIDIA GeForce GT 750M 2GB GFX Card

KSP Version: 1.0.4, with 64 bit Unity installation

Without going into too much detail (unless requested by a dev, but I think they're aware of these issues), the linked release of Mono in the OSX install guide will NOT work (MonoFramework-MDK-3.12.1.macos10.xamarin.x86, or verson 3.12.1.) You must instead download and install version 3.10.1 (http://forums.xamarin.com/discussion/27011/fix-for-gdipcreatefromcontext-macosx-and-other-macios-gdi-issues <--- Link in there, thanks Chris Hamons and whoever asked the question in the first place!)

After installing 3.10.1, you can use the command lines listed in the install guide without an issue EXCEPT: when you open CKAN and try to find your KSP install, it won't be visible in your Applications folder. Simply copy the folder to Documents (have to actually copy the folder, an alias won't work) and use that as your new location for KSP. Then you'll be able to navigate to it through CKAN.

Also note that Homebrew seems to run into an error installing CKAN, and I've tried just about every workaround I could find and it doesn't seem to help. This may be specific to my machine and my settings, but in any case, the Mono install option listed above should work just fine.

There may be a better workaround for CKAN searching for your KSP install that allows you to leave KSP in your applications folder, but I'm done Googling and just want to play some KSP, so I'm leaving the information here.

Thanks!

Link to comment
Share on other sites

Guest
This topic is now closed to further replies.
 Share

×
×
  • Create New...